#
# spec file for package rubygem-feedzirra
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-feedzirra
Version:        0.8.0
Release:        lp150.2.4
%define mod_name feedzirra
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/pauldix/feedzirra
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:       gem2rpm.yml
Summary:        A feed fetching and parsing library
License:        MIT
Group:          Development/Languages/Ruby

%description
This project has been renamed to Feedjira, find out more at feedjira.com.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Tue Mar 18 2014 coolo@suse.com
- updated to version 0.8.0
  - renamed to Feedjira
* Sun Feb 23 2014 coolo@suse.com
- updated to version 0.7.1
  * Bugfix
  * Don't use entry id for updating when feed doesn't provide it [[#205][]]
  [#205]: https://github.com/pauldix/feedzirra/pull/205
* Sun Jan  5 2014 coolo@suse.com
- updated to version 0.7.0
  * General
  * README update for callback arity [[#202][]]
  * Enhancements
  * Add error info to `on_failure` callback [[#194][]]
  * On failure callbacks get curl and error as args
  * Bugfix for parsing dates that are ISO 8601 with milliseconds [[#203][]]
  [#194]: https://github.com/pauldix/feedzirra/pull/194
  [#202]: https://github.com/pauldix/feedzirra/pull/202
  [#203]: https://github.com/pauldix/feedzirra/pull/203
* Fri Dec 20 2013 coolo@suse.com
- updated to version 0.6.0
  * General
  * Update expected parser classes in docs [[#200][]]
  * Fix Rubinius issue with Travis
  * Enhancements
  * Added content to `itunes_rss_item` [[#198][]]
  * Allow user to pass a particular parser using `parse_with`
  * Strip leading whitespace from XML [[#196][]]
  * Parse out RSS version [[#172][]]
  * Add generic preprocessing hook for Parsers
  * Add preprocessing hook for Atom XHTML content [[#58][]] [[#130][]]
  [#58]: https://github.com/pauldix/feedzirra/pull/58
  [#130]: https://github.com/pauldix/feedzirra/issues/130
  [#172]: https://github.com/pauldix/feedzirra/issues/172
  [#196]: https://github.com/pauldix/feedzirra/pull/196
  [#198]: https://github.com/pauldix/feedzirra/pull/198
  [#200]: https://github.com/pauldix/feedzirra/pull/200
* Tue Dec  3 2013 coolo@suse.com
- updated to version 0.5.0
  * General
  * Lots of README cleanup
  * Remove pending specs
  * Rewrite benchmarks and move them out of the spec folder
  * Upgrade to latest Rspec
  * Enhancements
  * Allow spaces in rss tag when checking parse-ability [[#127][]]
  * Compare `entry_id` and `url` for finding new entries [[#195][]]
  * Add closed captioned and order tags for iTunesRSSItem [[#160][]]
  [#127]: https://github.com/pauldix/feedzirra/pull/127
  [#160]: https://github.com/pauldix/feedzirra/pull/160
  [#195]: https://github.com/pauldix/feedzirra/pull/195
* Sat Nov 23 2013 coolo@suse.com
- updated to version 0.4.0
  * Enhancements
  * Raise when parser invokes its failure callback [[#159](https://github.com/pauldix/feedzirra/issues/159)]
  * Add PubSubHubbub hub urls as feed element [[#138](https://github.com/pauldix/feedzirra/pull/138)]
  * Add support for iTunes image in iTunes RSS item [[#164](https://github.com/pauldix/feedzirra/pull/164)]
  * Bug fixes
  * Use curb callbacks rather than response codes [[#161](https://github.com/pauldix/feedzirra/pull/161)]
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.3.0
  [#]# 0.3.0
  * General
  * Add CodeClimate badge [[#192](https://github.com/pauldix/feedzirra/pull/192)]
  * Enhancements
  * CURL SSL Version option [[#156](https://github.com/pauldix/feedzirra/pull/156)]
  * Cookie support for Curb [[#98](https://github.com/pauldix/feedzirra/pull/98)]
  * Deprecations
  * For `ITunesRSSItem`, use `id` instead of `guid` [[#169](https://github.com/pauldix/feedzirra/pull/169)]
  [#]# 0.2.2
  * General
  * Switch to CHANGELOG
  * Set LICENSE in gemspec
  * Lots of whitespace cleaning
  * README updates
  * Enhancements
  * Also use dc:identifier for `entry_id` [[#182](https://github.com/pauldix/feedzirra/pull/182)]
  * Bug fixes
  * Don't try to sanitize non-existent elements [[#174](https://github.com/pauldix/feedzirra/pull/174)]
  * Fix Rspec deprecations [[#188](https://github.com/pauldix/feedzirra/pull/188)]
  * Fix Travis [[#191](https://github.com/pauldix/feedzirra/pull/191)]
* Thu Oct 31 2013 coolo@suse.com
- updated to version 0.2.1
  * Use `Time.parse_safely` in `Feed.last_modified_from_header` [[#129](https://github.com/pauldix/feedzirra/pull/129)].
  * Added image to the RSS Entry Parser [[#103](https://github.com/pauldix/feedzirra/pull/103)].
  * Compatibility fixes for Ruby 2.0 [[#136](https://github.com/pauldix/feedzirra/pull/136)].
  * Remove gorillib dependency [[#113](https://github.com/pauldix/feedzirra/pull/113)].
  * Bump sax-machine to `v0.2.0.rc1`, fixes encoding issues [[#76](https://github.com/pauldix/feedzirra/issues/76)].
  * Remove ActiveSupport dependency
  * No longer tethered to any version of Rails!
  * Update curb (v0.8.0) and rspec (v2.10.0)
  * Revert [3008ceb](https://github.com/pauldix/feedzirra/commit/3008ceb338df1f4c37a211d0aab8a6ad4f584dbc)
  * Add Travis-CI integration
  * General repository and gem maintenance
* Sat Mar 23 2013 coolo@suse.com
- updated to version 0.1.3
* Mon Nov 21 2011 jmassaguerpla@suse.com
- replaced gemspec with the one in master in order to fix
  requirements issues with builder rubygem
* Mon Nov 21 2011 jmassaguerpla@suse.com
- patched gemspec with updated nokogiri dependency
  https://github.com/pauldix/feedzirra/commit/13460d47ebba087af148a875e02c83e2e3ed1b23
* Mon Nov 21 2011 jmassaguerpla@suse.com
- removed previous gem
* Mon Nov 21 2011 jmassaguerpla@suse.com
- update to version 0.1.1
* Tue Aug 23 2011 fcastelli@novell.com
- upgrade to version 0.0.31
* Thu Aug  4 2011 fcastelli@novell.com
- update to version 0.0.24
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.0.23
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
